#
# spec file for package python-raet
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           python-raet
Version:        0.6.3
Release:        3.1
License:        Apache-2.0
Summary:        Reliable Asynchronous Event Transport protocol
Url:            https://github.com/saltstack/raet
Group:          Development/Languages/Python
Source0:        https://pypi.python.org/packages/source/r/raet/raet-%{version}.tar.gz
BuildRoot:      %{_tmppath}/raet-%{version}-build

BuildRequires:  python-setuptools
BuildRequires:  python-devel
BuildRequires:  python-six
BuildRequires:  python-ioflo
BuildRequires:  python-libnacl
BuildRequires:  fdupes
BuildRequires:  libsodium-devel
Requires:       python-libnacl
Requires:       python-ioflo

BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
BuildRequires: 	python
BuildRequires:  python-importlib
BuildRequires:  python-argparse
Requires: 		python-importlib
Requires:       python-argparse
Requires: 		python
%else
BuildArch:      noarch
%endif

%description
Raet is a Python library for raet protocol which stands for
Reliable Asynchronous Event Transport protocol.

%prep
%setup -q -n raet-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot} --optimize=1
%fdupes %{buildroot}%{_prefix}

%files
%defattr(-,root,root)
%{python_sitelib}/*
%{_bindir}/raetflo

%changelog
* Wed Mar 25 2015 aboe76@gmail.com
- Updated to 0.6.3
  - Changed imports ioflo.base.nonblocking to be compat with ioflo 1.2.1
* Thu Feb 26 2015 aboe76@gmail.com
- Updated to 0.6.1
  - Updated tutorial fixed log message
  - Added enum support using python 3.4 enums via backport enum34 raeting.py NamedTuples replaced with enums
  - Added tutorial documents Fixed merge error Fixed bugs
  - Updated setup.py dependencies
  - Added python-argparse as depency for python < 2.7
  - Windows impossible file check More coverage tests
  - Python3 support
  - Added support for burst size limits in the Message transaction to deal with limits on UDP receive buffers
    on some hosts. Significant changes to how the Messenger and Messagent transactions work.
  - Added more units tests for messaging.
* Wed Jan 28 2015 aboe76@gmail.com
- Updated to 0.4.6
  - Changed semantics for initial alived state. As soon as estate completes initial bootstrap
  to allowed state it is also alived instead of waiting for manage alive transactions to complete.
  This enables messaging to commence immediately upon allowed.
  - Compatibility with ioflo 1.1.5
  - Support for simultaneous vacuous joins between same two estates Correctly terminates
  one of the joins and allows other to complete Bugfixes More tests
  - Silently handles errno.ECONNRESET on transmit in Stack._handleOneTx for windows
* Sun Dec 28 2014 aboe76@gmail.com
- Updated to 0.4.2
  - Changed the allow transaction to bigendian structs not little endian.\
    This will break interoperability with older versions of raet.
    Msgpack is already bigendian and future binary packet header for raet should be big endian.
  - fixed windows compat for autoaccept yard
* Wed Oct 22 2014 aboe76@gmail.com
- Updated to 0.3.6
  - Made default timeout for Messenger and Messengent transaction to be 0.0, that is, never
  - Added timout parameter to RoadStack.transmit() so timeout can be set on a message transaction by transaction basis
  - Added timeout to txMsgs deque triple for RoadStack that is, (msg, uid, timeout)
  - Fixed bug in RoadKeep.loadRemoteRoleData()
  - Added socket error handling for additional failure modes in Stack._handleOneTx for sending
  - Fixed Python3 incompatabilities
* Thu Oct  2 2014 aboe76@gmail.com
- Major update to 0.3.2
  - Fixed bug in allow transaction that prevented allow on restart Fixed issue with unicode fqdn on debian
  - New support for peer RAET channel. Changed semantics of how Join transactions works.
    This will allows peer to peer joining
* Wed Jul 30 2014 aboe76@gmail.com
- Updated to 0.2.12
  0.2.11 release:
  - Lookup remote in stack handleOneRx by using packet.index since it already substitutes
    ha if se is zero. Then also lookup remote in haRemotes if not found in .uidRemotes
  - Update joinent transaction
  - Change the way persistence reaping is handled. Instead of removing remote from memory,
    mark it with .reaped attribute. This avoide problematic use case of having to restoreRemote
    from disk when doing lookup in Joinent. Update .manage
  - Also unreap anytime a packet is received from a remote
  0.2.10 release:
  - Transactions now referenced and processed per remote not at stack.transactions sets
    stage for later doing broadcast transactions
  0.2.9 release:
  - Finished support for role keep files in Road
  0.2.8 release:
  - Support for msgpack in Keep files more support for role in Road estates fixes in join transaction
  0.2.7 release:
  - bugfix
  0.2.6 release:
  - If verify keep fails then clear the keep file. This autoclears cache when upgrading format of
    keep file. Also more support for role.
  0.2.5 release:
  - Refactored odicts indexing access attributes for remotes so can now access by uid, by name, or by ha.
  - Updated associated accessors Provides more consistent view onto Stack Road or Lane Prepatory to adding
    remote.role for key management
* Thu Jul 17 2014 aboe76@gmail.com
- Updated to 0.2.4
  - Fixed race condition in Yarding makedirs
  - Road Keep files are now stored by name not uid
* Tue Jul 15 2014 aboe76@gmail.com
- Updated to 0.2.3
- Added parameter to verify keep to allow passing in verify fields
- 0.2.2 release:
- refactor nack handling refactor moveRemote, removeRemote, renameRemote
* Wed Jul  9 2014 aboe76@gmail.com
- Updated to 0.2.1
- Change rsMsgs queue for LaneStack to be duple of (msg, name)
  where msg is message body dict and name is name of remote that sent the message
  this will enable authoization at the application layer
- 0.2.0 release:
- Ephemeral Lane Yards Yards now use a uuid for the session id so that there is no
  need to persist any Lane data in order to resolve ambiguous multi-page messages
  should one side restart in the middle of a multi-page message. No more keep for LaneStack.
* Tue Jul  8 2014 aboe76@gmail.com
- Updated to 0.1.2
  - Fixed bug in nacling catching wrong exception on verify
  Changed rxMsgs queue to be duple of (msg, name) so that application layer has access to remote name that sent the msg.
  - Added nacling.uuid function to allow unique yard names
* Wed Jul  2 2014 aboe76@gmail.com
- Major release 0.1.0
  - Minor fixup prepping for release with SaltStack Release Candidate
* Tue Jul  1 2014 aboe76@gmail.com
- Updated to version 0.0.31:
  - Fixed roadstack .manage method to used aliveds
- From versions in between
  - No longer removes rejected remotes out of band or future presence expire mechanism is needed to
  remove rejected remotes 0.0.30
  - Fixed a bug on renew in Joiner transaction 0.0.29
  - Fixed some race conditions 0.0.28
  - Support for reaping and restoring dead remotes on main estate road stack Support for saving and
  resending stale messages when session changes on rejoin or reallow Some other fixes 0.0.27
  - RoadStack.manage now provide underlying support needed for presence events and filtering of remote
  targets based on availabilty (allowed) status 0.0.26
* Sat Jun 21 2014 aboe76@gmail.com
- Updated to version 0.0.25
  fix install_requirements error
* Fri Jun 20 2014 aboe76@gmail.com
- updated to version 0.0.23
* Wed Jun 18 2014 aboe76@gmail.com
- Update to version 0.0.19
* Mon Jun  9 2014 aboe76@gmail.com
- Initial package version 0.0.18
